@import "slider-elements.css";

#video-hero {
    background-color: #0B60D7;
    background-image: url("../png/video-hero-mobile.png");
    background-repeat: no-repeat;
    background-size: auto 100%;
    background-position-y: bottom;
    background-position-x: right;
}

#video-hero > div {
    padding: 150px 20px 30px;
}

#video-hero::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 1;
    background: linear-gradient(259.92deg, rgba(0, 190, 255, 0.5) -2.22%, rgba(0, 158, 255, 0.355459) 12.26%, rgba(0, 124, 255, 0.20737) 27.11%, rgba(0, 89, 255, 0.4) 44.5%, #0941BB 58.86%, #0F2E87 78.85%, #151E5B 102.97%);
}

.video-hero-title h1 {
    font: var(--heading-4);
    color: var(--cyan-blue);
    letter-spacing: -0.05em;
}

.video-hero-title h1 span {
    color: var(--white);
}

#video-content {
    padding: 50px 20px 0;
}

#video-content .single-video-player {
    max-width: 850px;
    border-radius: 20px;
    overflow: hidden;
}

#video-content .video-title {
    margin-top: 32px;
}

#video-content .video-title h3 {
    font: var(--heading-6);
    color: var(--dark-blue);
    letter-spacing: -0.05em;
}

#video-content .video-pre-text {
    margin: 12px 0;
    max-width: 1120px;
}

#video-content .video-pre-text * {
    font: var(--text-medium);
}

.more-videos {
    padding: 40px 20px;
}

.more-videos .elementor-post__thumbnail__link {
    border-radius: 20px;
    overflow: auto;
    margin-bottom: 32px !important;
}

.more-videos-title h2 {
    font: var(--post-inner-h2);
    letter-spacing: -0.25px;
    color: var(--cyan-blue);
    margin-bottom: 8px;
}

.more-videos-subtitle p {
    font: var(--text-medium);
    color: var(--text-primary);
    margin-bottom: 32px;
}

.more-videos-loop {
    /*max-width: 1264px;*/
    max-width: 100%;
}

ul.more-videos-list {
    display: flex;
    list-style: none;
    margin: 0;
    gap: 35px;
}

ul.more-videos-list.slick-slider {
    margin: 0 -10px;
    padding: 0 30px;
}

ul.more-videos-list .slick-slide {
    margin: 0 10px;
}

article.video-block {
    position: relative;
}

.more-videos-loop .video-block-title {
    font: var(--heading-8);
    letter-spacing: -0.25px;
    color: var(--dark-blue);
    margin-bottom: 8px;
}

.video-block-thumbnail {
    border-radius: 20px;
    overflow: auto;
    margin-bottom: 16px;
}

.more-videos-loop .slick-arrow {
    width: 18px;
    top: 60px;
    bottom: auto;
}

button.slick-next.slick-arrow {
    right: -5px;
}

button.slick-prev.slick-arrow {
    left: -5px;
}

.more-videos .short-title {
    /*padding-left: 40px;*/
    padding-bottom: 16px;
}

@media (min-width: 768px) {
    #video-hero {
        background-image: url("../png/video-hero.png");
    }

    #video-hero > div {
        padding: 130px 0 50px;
        width: calc(100% - 60px);
        max-width: 1320px;
    }

    #video-hero::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        opacity: 1;
        background: linear-gradient(260.23deg, rgba(0, 190, 255, 0.5) -2.98%, rgba(0, 124, 255, 0.20737) 0.14%, rgba(0, 158, 255, 0.355459) 1.11%, rgba(0, 89, 255, 0.53) 19.05%, #0941BB 41.38%, #0F2E87 60.43%, #151E5B 84.49%);
    }

    .more-videos {
        padding: 44px 30px;
    }

    .more-videos-loop .slick-arrow {
        top: 40px;
    }
}

@media (min-width: 1025px) {

    #video-content {
        padding: 50px 30px 0;
    }

    #video-content .video-title h3 {
        font: var(--post-inner-h2);
    }

    ul.more-videos-list.slick-slider {
        padding: 0;
    }

    .more-videos-subtitle p {
        margin-bottom: 50px;
    }

    ul.more-videos-list.slick-slider {
        margin: 0;
    }

    .more-videos-loop .slick-arrow {
        top: 25%;
    }

    .more-videos-loop button.slick-next.slick-arrow {
        right: -17px;
    }

    .more-videos-loop button.slick-prev.slick-arrow {
        left: -17px;
    }
}

@media (min-width: 1200px) {
    .more-videos-loop .slick-arrow {
        top: 32%;
    }

    .more-videos-loop button.slick-next.slick-arrow {
        right: -25px;
    }

    .more-videos-loop button.slick-prev.slick-arrow {
        left: -25px;
    }
}